<?php $this->load->view('includes/header');?>
  <body>
    <?php $this->load->view('includes/menu');?>
    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <?php if($this->session->flashdata('registred')):?>
    <div class="alert alert-success">
    <?php echo $this->session->flashdata('registred');?>
    </div>
    <?php endif;?>
    <div class="container">
        <?php if($this->session->userdata('logged')):?>
          <p class="lead">Bienvenue <span class="label label-success"><?php echo $this->session->userdata("nom");?></span> Vous êtes connectés.</p>
        <?php endif;?>
    </div>
    <div class="row"> 
      <?php foreach($posts as $post):?>
        <div class="col-md-8 col-md-offset-1">
            <div class="panel panel-inverse">
                <div class="panel-heading"><?php echo $post->title;?></div>
                <div class="panel-body">
                   <p class="lead"><?php echo $post->post;?></p>
                </div>
                <div class="panel-footer">
                  <span class="label label-info"><?php echo $post->categorie; ?></span> <a href="#updatePost<?php echo $post->id;?>" class="label label-warning" data-toggle="modal">Modifier</a> <a href="#deletePost<?php echo $post->id;?>" class="label label-danger" data-toggle="modal">Supprimer</a>
                </div>
            </div>
        </div>
        <!--post update modal-->
        <div class="modal fade" id="updatePost<?php echo $post->id;?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <form action="<?php echo base_url();?>posts/update/<?php echo $post->id;?>" method="post">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="myModalLabel"><input type="text" name="title" value="<?php echo $post->title;?>" class="form-control"></h4>
                  </div>
                  <div class="modal-body">
                    <div class="form-group">
                        <select name="categorie" id="category_select" class="form-control">
                            <option value="Education">Education</option>
                            <option value="Sport">Sport</option>
                            <option value="Cinema">Cinema</option>
                            <option value="Divers">Divers</option>
                        </select> 
                    </div>
                    <textarea name="post" id="" cols="100" rows="10" class="form-control"><?php echo $post->post;?></textarea>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                    <button type="submit" class="btn btn-primary">Modifier</button>
                  </div>
              </form>
            </div>
          </div>
        </div>
        <!--delete post modal-->
         <!--post update modal-->
        <div class="modal fade" id="deletePost<?php echo $post->id;?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <form action="<?php echo base_url();?>posts/delete/<?php echo $post->id;?>" method="post">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title text-danger" id="myModalLabel">Voulez vous vraiment supprimer ce post ?</h4>
                  </div>
                  <div class="modal-body">
                      <p class="lead"><?php echo $post->post;?></p>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                    <button type="submit" class="btn btn-danger">Supprimer</button>
                  </div>
              </form>
            </div>
          </div>
        </div>
      <?php endforeach;?>
    </div>
  </body>
<?php $this->load->view('includes/footer');?>
