<?php

class Posts extends CI_Controller {

    public function create(){
        $this->load->view('posts/create');
    }
    public function store(){
        if(!$this->session->userdata("logged")){
           redirect(base_url().'home');
        } 
        $this->form_validation->set_rules('title','Titre','required|trim|min_length[10]');
        $this->form_validation->set_rules('categorie','Catégorie','required|trim');
        $this->form_validation->set_rules('post','Post','required|trim|min_length[3]|max_length[1000]');
            if($this->form_validation->run() == FALSE){
                $data = array(
                'requires' => validation_errors()
                );
                $this->session->set_flashdata($data);
                $this->load->view('posts/create',$data);
            }else{
                if($this->Post->add_post()){
                    $this->session->set_flashdata('registred','Post Ajouté avec succés');
                    redirect(base_url().'home');
                }
            }
    }
    public function update($id){
        if(!$this->session->userdata("logged")){
           redirect(base_url().'home');
        } 
        $this->form_validation->set_rules('title','Titre','required|trim|min_length[10]');
        $this->form_validation->set_rules('categorie','Catégorie','required|trim');
        $this->form_validation->set_rules('post','Post','required|trim|min_length[3]|max_length[1000]');
            if($this->form_validation->run() == FALSE){
                $data = array(
                'requires' => validation_errors()
                );
                $this->session->set_flashdata($data);
                $this->load->view('home',$data);
            }else{
                if($this->Post->update_post($id)){
                    $this->session->set_flashdata('registred','Post modifié avec succés');
                    redirect(base_url().'home');
                }
            }
    }
    public function delete($id){
        if($this->Post->delete_post($id)){
            $this->session->set_flashdata('registred','Post supprimé avec succés');
            redirect(base_url().'home');
        }
    }
}
