<?php
class User extends CI_Model {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	 public function register_user(){
        $options = array('cost'=>12);
        $encrypted_pass = password_hash($this->input->post('passe'),PASSWORD_BCRYPT,$options);
        $data = array(
            'nom' => trim($this->input->post('nom')),
            'email' => trim($this->input->post('email')),
            'passe' => $encrypted_pass
        );
        $this->db->insert('users',$data);
        return true;
     }
     public function login_user($email,$password){
            $this->db->select('*');
            $this->db->from('users');
            $this->db->where('email',$email);
            $results = $this->db->get();
            if($results->num_rows() == 1){
                $user = $results->row();
                $db_password = $user->passe;
            if(password_verify($password,$db_password)){
                return $user;
            }else{
                return 'password_incorrect';
            }
            }else{
                return 'email_incorrect';
            }
     }
}
